<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (10.0.2) on Sun Sep 16 15:21:40 IST 2018 -->
<title>TrafficSignal</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="date" content="2018-09-16">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
<script type="text/javascript" src="../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../jquery/jquery-1.10.2.js"></script>
<script type="text/javascript" src="../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="TrafficSignal";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../";loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../com/trafficController/trafficSignal/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/TrafficSignal.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?com/trafficController/trafficSignal/TrafficSignal.html" target="_top">Frames</a></li>
<li><a href="TrafficSignal.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="../../../com/trafficController/trafficSignal/package-summary.html">com.trafficController.trafficSignal</a></div>
<h2 title="Class TrafficSignal" class="title">Class TrafficSignal</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.trafficController.trafficSignal.TrafficSignal</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">TrafficSignal</span>
extends java.lang.Object</pre>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Kruti Vyas</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="../../../com/trafficController/trafficSignal/TrafficSignal.html#TrafficSignal-java.lang.String-">TrafficSignal</a></span>&#8203;(java.lang.String&nbsp;name)</code></th>
<td class="colLast">
<div class="block">Constructor of Traffic signal with the name</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../../../com/trafficController/trafficSignal/TrafficSignal.html#getName--">getName</a></span>()</code></th>
<td class="colLast">
<div class="block">gets name</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>com.trafficController.trafficSignal.Color</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../../../com/trafficController/trafficSignal/TrafficSignal.html#isFront--">isFront</a></span>()</code></th>
<td class="colLast">
<div class="block">gets the color of front signal</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>com.trafficController.trafficSignal.Color</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../../../com/trafficController/trafficSignal/TrafficSignal.html#isLeft--">isLeft</a></span>()</code></th>
<td class="colLast">
<div class="block">gets the color of left signal</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>com.trafficController.trafficSignal.Color</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../../../com/trafficController/trafficSignal/TrafficSignal.html#isPedestrian--">isPedestrian</a></span>()</code></th>
<td class="colLast">
<div class="block">gets the color of walk signal</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>com.trafficController.trafficSignal.Color</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../../../com/trafficController/trafficSignal/TrafficSignal.html#isRight--">isRight</a></span>()</code></th>
<td class="colLast">
<div class="block">gets the color of right signal</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../../../com/trafficController/trafficSignal/TrafficSignal.html#setFront-com.trafficController.trafficSignal.Color-">setFront</a></span>&#8203;(com.trafficController.trafficSignal.Color&nbsp;front)</code></th>
<td class="colLast">
<div class="block">sets the color of front signal</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../../../com/trafficController/trafficSignal/TrafficSignal.html#setLeft-com.trafficController.trafficSignal.Color-">setLeft</a></span>&#8203;(com.trafficController.trafficSignal.Color&nbsp;left)</code></th>
<td class="colLast">
<div class="block">sets the color of left signal</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../../../com/trafficController/trafficSignal/TrafficSignal.html#setName-java.lang.String-">setName</a></span>&#8203;(java.lang.String&nbsp;name)</code></th>
<td class="colLast">
<div class="block">sets the name</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../../../com/trafficController/trafficSignal/TrafficSignal.html#setpedestrian--">setpedestrian</a></span>()</code></th>
<td class="colLast">
<div class="block">turns the pedestrian signal on</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../../../com/trafficController/trafficSignal/TrafficSignal.html#setPedestrian-com.trafficController.trafficSignal.Color-">setPedestrian</a></span>&#8203;(com.trafficController.trafficSignal.Color&nbsp;pedestrian)</code></th>
<td class="colLast">
<div class="block">sets the color of walk signal</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../../../com/trafficController/trafficSignal/TrafficSignal.html#setRight-com.trafficController.trafficSignal.Color-">setRight</a></span>&#8203;(com.trafficController.trafficSignal.Color&nbsp;right)</code></th>
<td class="colLast">
<div class="block">sets the color of right signal</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../../../com/trafficController/trafficSignal/TrafficSignal.html#setSignalleft--">setSignalleft</a></span>()</code></th>
<td class="colLast">
<div class="block">turns the left signal on</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../../../com/trafficController/trafficSignal/TrafficSignal.html#setSignalOn--">setSignalOn</a></span>()</code></th>
<td class="colLast">
<div class="block">truns the left right and front signls on         *</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../../../com/trafficController/trafficSignal/TrafficSignal.html#setSignalOrange--">setSignalOrange</a></span>()</code></th>
<td class="colLast">
<div class="block">turns orange signal on</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../../../com/trafficController/trafficSignal/TrafficSignal.html#toString--">toString</a></span>()</code></th>
<td class="colLast">
<div class="block">converts the singal object into string to print</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="TrafficSignal-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>TrafficSignal</h4>
<pre>public&nbsp;TrafficSignal&#8203;(java.lang.String&nbsp;name)</pre>
<div class="block">Constructor of Traffic signal with the name</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - the name of traffic signal</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getName</h4>
<pre>public&nbsp;java.lang.String&nbsp;getName()</pre>
<div class="block">gets name</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>name</dd>
</dl>
</li>
</ul>
<a name="setName-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setName</h4>
<pre>public&nbsp;void&nbsp;setName&#8203;(java.lang.String&nbsp;name)</pre>
<div class="block">sets the name</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - the String</dd>
</dl>
</li>
</ul>
<a name="isLeft--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isLeft</h4>
<pre>public&nbsp;com.trafficController.trafficSignal.Color&nbsp;isLeft()</pre>
<div class="block">gets the color of left signal</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Color the enum</dd>
</dl>
</li>
</ul>
<a name="setLeft-com.trafficController.trafficSignal.Color-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLeft</h4>
<pre>public&nbsp;void&nbsp;setLeft&#8203;(com.trafficController.trafficSignal.Color&nbsp;left)</pre>
<div class="block">sets the color of left signal</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>left</code> - the Color</dd>
</dl>
</li>
</ul>
<a name="isRight--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isRight</h4>
<pre>public&nbsp;com.trafficController.trafficSignal.Color&nbsp;isRight()</pre>
<div class="block">gets the color of right signal</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Color the enum</dd>
</dl>
</li>
</ul>
<a name="setRight-com.trafficController.trafficSignal.Color-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRight</h4>
<pre>public&nbsp;void&nbsp;setRight&#8203;(com.trafficController.trafficSignal.Color&nbsp;right)</pre>
<div class="block">sets the color of right signal</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>right</code> - the Color</dd>
</dl>
</li>
</ul>
<a name="isFront--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isFront</h4>
<pre>public&nbsp;com.trafficController.trafficSignal.Color&nbsp;isFront()</pre>
<div class="block">gets the color of front signal</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Color the enum</dd>
</dl>
</li>
</ul>
<a name="setFront-com.trafficController.trafficSignal.Color-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFront</h4>
<pre>public&nbsp;void&nbsp;setFront&#8203;(com.trafficController.trafficSignal.Color&nbsp;front)</pre>
<div class="block">sets the color of front signal</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>front</code> - the Color</dd>
</dl>
</li>
</ul>
<a name="isPedestrian--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isPedestrian</h4>
<pre>public&nbsp;com.trafficController.trafficSignal.Color&nbsp;isPedestrian()</pre>
<div class="block">gets the color of walk signal</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Color the enum</dd>
</dl>
</li>
</ul>
<a name="setPedestrian-com.trafficController.trafficSignal.Color-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPedestrian</h4>
<pre>public&nbsp;void&nbsp;setPedestrian&#8203;(com.trafficController.trafficSignal.Color&nbsp;pedestrian)</pre>
<div class="block">sets the color of walk signal</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>pedestrian</code> - the Color</dd>
</dl>
</li>
</ul>
<a name="setSignalOn--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSignalOn</h4>
<pre>public&nbsp;void&nbsp;setSignalOn()</pre>
<div class="block">truns the left right and front signls on         *</div>
</li>
</ul>
<a name="setSignalleft--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSignalleft</h4>
<pre>public&nbsp;void&nbsp;setSignalleft()</pre>
<div class="block">turns the left signal on</div>
</li>
</ul>
<a name="setpedestrian--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setpedestrian</h4>
<pre>public&nbsp;void&nbsp;setpedestrian()</pre>
<div class="block">turns the pedestrian signal on</div>
</li>
</ul>
<a name="setSignalOrange--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSignalOrange</h4>
<pre>public&nbsp;void&nbsp;setSignalOrange()</pre>
<div class="block">turns orange signal on</div>
</li>
</ul>
<a name="toString--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>toString</h4>
<pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
<div class="block">converts the singal object into string to print</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../com/trafficController/trafficSignal/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/TrafficSignal.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?com/trafficController/trafficSignal/TrafficSignal.html" target="_top">Frames</a></li>
<li><a href="TrafficSignal.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
